import { z } from 'zod';

export const AdminListSchema = z.object({
	username: z.string(),
	password: z.string(),
	permissions: z.number()
});

export const AdminEditSchema = z.object({
	id: z.number(),

	username: z.string().nullish(),
	password: z.string().nullish(),
	permissions: z.number().nullish()
});

export const AdminDeleteSchema = z.object({
	id: z.number()
});
